@import "fonts.css";
@import "variables.less";

@lineheight: 1rem;

body {
  font-family: "unbounded", sans-serif;
  width: 100%;
  margin: 0;
  height: 100%;
}

body {
  *::-webkit-scrollbar {
    width: 5px;
    height: 8px;
    background-color: @light-turquoise;
  }
  *::-webkit-scrollbar-thumb {
    background: @grey-blue;
  }
}

#viewport {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background-color: #000000;
  /* overflow: hidden; */
}

.place {
  color: @old-pink;
  font-size: 2rem;
  font-weight: 500;
  display: flex;
  justify-content: center;
}

#canvas-box {
  position: absolute;
  top: 0;
  left: 0;
  bottom: 164px;
  width: 100%;
  height: 85%;
}

#canvas-box canvas {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

#highlight-term {
  position: absolute;
  top: 12px;
  left: 12px;
  width: 80%;
  z-index: 100;
  color: @turquoise;
}

#highlight-term .term-h {
  padding: 0.5em 1em;
}

#tools {
  position: absolute;
  bottom: 12px;
  margin: auto;
  width: 100%;

  .tools-inner {
    display: flex;
    align-items: flex-end;
    height: 10em;
    justify-content: center;
  }
  .around {
    width: 3em;
    //   border: 1px solid white;
    margin: 2px;
  }

  .base {
    width: 3em;
    height: 1.5em;
    background: linear-gradient(to bottom right, #ffffff00 50%, @green 50%);
  }
  .count-0 {
    .base {
      background: linear-gradient(
        to bottom right,
        @old-pink 50%,
        #ffffff00 50%
      );
    }
  }
  .count-1 {
    .base {
      background: linear-gradient(to bottom left, #ffffff00 50%, @green 50%);
    }
  }
  .count-2 {
    .base {
      background: linear-gradient(to bottom right, #ffffff00 50%, @green 50%);
    }
  }
  .count-3 {
    .base {
      background: linear-gradient(to bottom left, #ffffff00 50%, @green 50%);
    }
  }

  .current {
    .base {
      background: linear-gradient(to bottom right, @pink 50%, #ffffff00 50%);
    }
  }

  .picto {
    width: 3em;
  }
}

#paragraphs {
  display: none;
  &.active {
    display: block;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    // color: rgb(255, 255, 255);
    overflow-y: auto;
    // margin-left: 10%;
    // margin-right: 10%;
    // margin-bottom: 10%;
    // margin-top: 5%;
    padding: 3em;
    font-family: "unbounded";
    backdrop-filter: blur(23px) hue-rotate(286deg) saturate(6);
    background: #000000b0;
    z-index: 1000000;

    h1.title {
      display: flex;
      justify-content: center;
      font-size: 3rem;
      padding-right: 1em;
      font-weight: 900;
    }

    .term-link {
      color: white;
    }
    .par-box {
      display: flex;
      overflow: hidden;
      height: 80vh;
      width: 80vw;
      margin: auto;
      border: ridge;
    }

    .image-box {
      width: 440px;
      flex-shrink: 0;
      overflow-y: scroll;
      padding-left: 2em;
    }
    .image-box::-webkit-scrollbar {
      width: 5px;
      height: 8px;
      background-color: @light-turquoise;
    }
    .image-box::-webkit-scrollbar-thumb {
      background: @grey-blue;
    }

    .annot-box::-webkit-scrollbar {
      width: 5px;
      height: 8px;
      background-color: @light-turquoise;
    }
    .annot-box::-webkit-scrollbar-thumb {
      background: @grey-blue;
    }
    .annot-box {
      // background: #1313139e;
      padding-inline: 1em;
      overflow-y: scroll;
      color: @yellow;

      .annot {
        .content {
          font-size: 200%;
          line-height: 2 * @lineheight;
          padding: 0.5em;
        }

        .proximity {
          line-height: 120% * @lineheight;
          font-weight: 200;
          text-decoration-line: underline;
          padding-left: 3em;

          .term {
            display: inline-block;
            margin-right: 1em;
            cursor: pointer;
          }

          .term:hover {
            text-decoration: none;
            border-bottom: 1px solid #7fea9ae7;
          }
        }
      }
    }
    .term:hover {
      text-decoration: none;
      border-bottom: 1px solid @green;
    }
  }
}

#log-box {
  position: absolute;
  top: 12px;
  right: 12px;

  .event {
    width: 12px;
    height: 12px;
    background-color: white;
    margin: 6px 0;
    border-radius: 12px;

    &.event-term {
      background-color: @green;
    }
    &.event-image {
      background-color: @old-pink;
    }
  }
}

#path-box {
  position: absolute;
  z-index: 123456;
  display: block;
  top: 0;
  overflow-y: auto;
  .xxx {
    padding: 12px;
    padding-left: 24px;
    display: flex;
    flex-direction: column;
    .to-index {
      color: @old-pink;
      cursor: pointer;
      font-weight: 600;
      padding-bottom: 1em;
      margin-left: -17px;
    }
  }
  .path {
    color: @green;
    width: fit-content;
    border: solid 1px @grey-blue;
    margin-bottom: -1px;
    .path-name {
      text-transform: lowercase;
      cursor: pointer;
    }
    .path-node.par-annot {
      font-size: 50%;
    }
    .path {
      color: @green;
      display: flex;
      flex-direction: column;
      justify-content: flex-start;
      align-items: center;
      .path-name {
        text-transform: lowercase;
      }
      .path-node.par-annot {
        font-size: 50%;
      }

      // .path-node {
      //     display: none;
      // }

      .path-node {
        display: block;
        color: @pink;
      }

      &:hover {
        .path-node {
          display: block;
        }
      }
    }

    .path-cursor {
      display: flex;
      color: @pink;
      .cursor {
        font-size: 200%;
        font-weight: bold;
        cursor: pointer;
      }
    }
  }
}

.path-x::-webkit-scrollbar {
  width: 5px;
  height: 8px;
  background-color: @light-turquoise;
}
.path-x::-webkit-scrollbar-thumb {
  background: @grey-blue;
}

.path-x {
  padding-inline: 20vw;
  padding-block: 2em;
  // height: 70vh;
  // display: grid;
  // overflow-y: scroll;
  // margin: auto;
  background-color: rgb(255, 255, 255);
  color: @purple;
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  overflow-y: auto;
  // border: solid 2px rgb(255, 255, 163);
  // grid-template-columns: repeat(auto-fill, 400px);
  // grid-template-rows: repeat(auto-fill, 400px);
  .path-title {
    font-weight: 600;
    font-size: 6rem;
    padding-bottom: 1rem;
    line-height: 97%;
    text-transform: lowercase;
  }
  .path-node {
    display: flex;
    // justify-content: center;
    // align-items: center;
    // position: relative;
    // border: solid 1px @turquoise;
    // width: 400px;
    // height: 400px;

    .window {
      padding: 0em 2em 0em 2em;
      z-index: 123678;
    }
    canvas.image-annotation {
      z-index: 123567;
    }
  }

  .path-node:before {
    content: "";
    position: absolute;
    width: 0;
    height: 0;
    left: 0;
  }

  .path-node:after {
    content: "";
    position: absolute;
    width: 0;
    height: 0;
    right: 0;
  }
  .to-index {
    color: @old-pink;
    cursor: pointer;
    font-weight: 600;
    padding-bottom: 1em;
  }
  .cursor {
    color: white;
    background: linear-gradient(to bottom left, @green 50%, #ffffff00 50%);
    width: 3em;
    height: 1.5em;
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    overflow-y: auto;
    // border: solid 2px rgb(255, 255, 163);
    // grid-template-columns: repeat(auto-fill, 400px);
    // grid-template-rows: repeat(auto-fill, 400px);
  }

  .path-node {
    display: flex;
    // justify-content: center;
    // align-items: center;
    // position: relative;
    // border: solid 1px @turquoise;
    // width: 400px;
    // height: 400px;

    .window {
      padding: 0em 2em 0em 2em;
      z-index: 123678;
    }
    canvas.image-annotation {
      z-index: 123567;
    }
  }

  .path-node:before {
    content: "";
    position: absolute;
    width: 0;
    height: 0;
    left: 0;
  }

  .path-node:after {
    content: "";
    position: absolute;
    width: 0;
    height: 0;
    right: 0;
  }
  .cursor {
    color: white;
    background: linear-gradient(to bottom left, @green 50%, #ffffff00 50%);
    width: 3em;
    height: 1.5em;
    position: fixed;
    left: 1em;
    top: 1em;
    cursor: pointer;
  }
  .path-node.par-annot {
    font-size: 1rem;
    padding-left: 12em;
    /* border: solid 2px pink; */
    // background: url("https://gitlab.com/cartofixer/cartofixer/uploads/76657acbd8204c0944622cce41dcd81b/triangles-p.svg");
    // background-size: 10%;
  }

  .path-node.par-text {
    width: 15em;
    font-size: 0.7rem;
    border-left: 1px solid rgb(19, 1, 87);
    margin-left: 24em;
    padding-left: 0.7em;
    padding-bottom: 1em;
    padding-top: 1.4em;
  }

  .path-node.term {
    padding-block: 0.5em;
    width: 50vw;
    .term-head {
      padding-left: 1em;
      font-weight: 100;
      font-size: 1.3rem;
      display: flex;
      .term-name {
        padding-left: 1em;
      }
    }
    .description {
      font-size: 0.7rem;
      font-weight: 100;
      max-width: 38em;
    }
    .term-picto {
      height: 20px;
      /* background-color: white; */
    }
  }
  // .path-node.term:before {
  //     border-top: 200px solid @transparent;
  //     border-bottom: 200px solid @old-pink;
  //     border-right: 200px solid @transparent;
  //     mix-blend-mode: invert;
  // }
  // .path-node.term:after {
  //     border-top: 200px solid @transparent;
  //     border-bottom: 200px solid @old-pink;
  //     border-left: 200px solid @transparent;
  //     mix-blend-mode: invert;
  // }
  // .path-node.par-annot:before {
  //     border-top: 200px solid @old-pink;
  //     border-bottom: 200px solid @transparent;
  //     border-right: 200px solid @transparent;
  // }
  // .path-node.par-annot:after {
  //     border-top: 200px solid @old-pink;
  //     border-bottom: 200px solid @transparent;
  //     border-left: 200px solid @transparent;
  //     // mix-blend-mode: multiply;
  // }
  // .path-node.image-annot:before {
  //     border-top: 200px solid @old-pink;
  //     border-bottom: 200px solid @old-pink;
  //     border-right: 200px solid @transparent;
  // }
  // .path-node.image-annot:after {
  //     border-top: 200px solid @old-pink;
  //     border-bottom: 200px solid @old-pink;
  //     border-left: 200px solid @transparent;
  // }
}

.landing {
  &.hidden {
    display: none;
  }
  .landing-inner {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;

    background-color: black;
  }

  .path-node {
    position: absolute;
    border: 1px solid red;
    background-color: white;
    &.par-annot,
    &.term {
      width: 12em;
      font-size: 10pt;
    }

    &.selected {
      border: 4px solid blue;
      z-index: 10000;
    }
    &.intersection {
      background-color: #7e98bb;
    }

    .link {
      cursor: pointer;
      color: blue;
      font-size: large;
    }
  }

  .interaction {
    border: 3px solid white;
    border-radius: 6px;
    // padding: -1em 1em 1em -1em;
  }

  .landing-link {
    position: absolute;
    // border-radius: 12px;
    color: white;
    font-size: 32px;
    font-weight: bold;
    cursor: pointer;
    -webkit-text-stroke: 1px black;
    // text-stroke: 1px black;
    width: 100%;
    height: 100%;
    // background: linear-gradient(
    //     to bottom right,
    //     @old-pink 50%,
    //     #ffffff00 50%
    // );

    &.te {
      right: 0px;
      bottom: 0px;
      text-align: right;
    }

    &.ia {
      top: 0px;
      left: 0px;
    }
  }
}

.info {
  position: absolute;
  right: 1em;
  bottom: 1em;
  &.expand {
    color: #552d7f;
    top: 1em;
    left: 1em;
    padding: 1em;
    background-color: @pink;
    border: 2px solid red;
    display: grid;
    grid-template-columns: 1.5fr 1fr 1fr 1.5fr;
    overflow-y: overlay;
    grid-auto-rows: minmax(min-content, max-content);
    .tools {
      position: absolute;
      cursor: pointer;
      padding: 1em;
    }
    .left,
    .right {
      grid-row: 2;
      max-width: 30em;
    }
    .left {
      grid-column: 1;
      padding-left: 3em;
      margin-right: 0;
      margin-left: auto;
    }
    .right {
      grid-column: 4;
      padding-right: 3em;
    }
    .middle {
      grid-row: 2;
      grid-column: 2/4;
      padding-inline: 1.5em;
    }
    .top {
      padding: 2rem;
      font-size: 1.5rem;
      grid-column: 2 / 5;
      grid-row: 1;
      max-width: 40em;
    }
    .info-content {
      padding-top: 1.5em;
      .image-info {
        width: 100%;
        margin-bottom: 1.5em;
        background-color: white;
        border: 1px solid #552d7f;
      }
    }
  }

  .info-button {
    padding: 1rem;
    border: 1px solid white;
    border-radius: 6px;
    background-color: @pink;
    cursor: pointer;
    font-weight: 600;
    font-size: 1.5rem;
  }
}
